<?php

namespace App\Http\Controllers;
use Validator;
use App\Models\Archives;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
class ArchivesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }
    public function download(Request $request) {
        $rules = [
            'namedoc' => 'required',
        ];
        $input     = $request->only('namedoc');
        $validator = Validator::make($input, $rules);
        if ($validator->fails()) {
            return response()->json(['success' => false, 'error' => $validator->messages()]);
        } 
        $storagePath  = Storage::disk('public')->getDriver()->getAdapter()->getPathPrefix();
        $file_path =  $storagePath.'/files/'.$request->namedoc.'.zip';
        return response()->download($file_path);
      }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Archives  $archives
     * @return \Illuminate\Http\Response
     */
    public function show(Archives $archives)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Archives  $archives
     * @return \Illuminate\Http\Response
     */
    public function edit(Archives $archives)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Archives  $archives
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Archives $archives)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Archives  $archives
     * @return \Illuminate\Http\Response
     */
    public function destroy(Archives $archives)
    {
        //
    }
}
